Home
last modified time | relevance | path

Searched refs:tmpdir (Results 1 – 25 of 110) sorted by relevance

12345

/external/antlr/antlr-3.4/tool/src/test/java/org/antlr/test/
DTestCompositeGrammars.java53 mkdir(tmpdir); in testDelegatorInvokesDelegateRule()
54 writeFile(tmpdir, "S.g", slave); in testDelegatorInvokesDelegateRule()
73 mkdir(tmpdir); in testDelegatorInvokesDelegateRuleWithArgs()
74 writeFile(tmpdir, "S.g", slave); in testDelegatorInvokesDelegateRuleWithArgs()
93 mkdir(tmpdir); in testDelegatorInvokesDelegateRuleWithReturnStruct()
94 writeFile(tmpdir, "S.g", slave); in testDelegatorInvokesDelegateRuleWithReturnStruct()
113 mkdir(tmpdir); in testDelegatorAccessesDelegateMembers()
114 writeFile(tmpdir, "S.g", slave); in testDelegatorAccessesDelegateMembers()
130 mkdir(tmpdir); in testDelegatorInvokesFirstVersionOfDelegateRule()
131 writeFile(tmpdir, "S.g", slave); in testDelegatorInvokesFirstVersionOfDelegateRule()
[all …]
DBaseTest.java69 public String tmpdir = null; field in BaseTest
83 tmpdir = new File(System.getProperty("java.io.tmpdir"), in setUp()
99 tool.setOutputDirectory(tmpdir); in newTool()
105 tool.setOutputDirectory(tmpdir); in newTool()
113 "javac", "-d", tmpdir, in compile()
114 classpathOption, tmpdir+pathSep+CLASSPATH, in compile()
115 tmpdir+"/"+fileName in compile()
117 …String cmdLine = "javac" +" -d "+tmpdir+" "+classpathOption+" "+tmpdir+pathSep+CLASSPATH+" "+fileN… in compile()
121 File f = new File(tmpdir, fileName); in compile()
131 Arrays.asList(new String[]{"-d", tmpdir, "-cp", tmpdir+pathSep+CLASSPATH} ); in compile()
[all …]
/external/chromium_org/third_party/dom_distiller_js/
Dupdate_domdistiller_js.sh17 tmpdir=/tmp/domdistiller-$$
18 changes=$tmpdir/domdistiller.changes
19 bugs=$tmpdir/domdistiller.bugs
22 rm -rf $tmpdir
23 mkdir $tmpdir
25 pushd $tmpdir
53 cp -rf $tmpdir/out/package/* $dom_distiller_js_package
54 cp $tmpdir/LICENSE $dom_distiller_js_path/
68 …checklicenses/checklicenses.py $dom_distiller_js_path > $tmpdir/checklicenses.out || cat $tmpdir/c…
70 rm -rf $tmpdir
/external/chromium_org/third_party/tcmalloc/vendor/src/tests/
Dheap-profiler_unittest.cc84 const char* tmpdir = getenv("TMPDIR"); in TestHeapProfilerStartStopIsRunning() local
85 if (tmpdir == NULL) in TestHeapProfilerStartStopIsRunning()
86 tmpdir = "/tmp"; in TestHeapProfilerStartStopIsRunning()
87 mkdir(tmpdir, 0755); // if necessary in TestHeapProfilerStartStopIsRunning()
88 HeapProfilerStart((string(tmpdir) + "/start_stop").c_str()); in TestHeapProfilerStartStopIsRunning()
103 const char* tmpdir = getenv("TMPDIR"); in TestDumpHeapProfiler() local
104 if (tmpdir == NULL) in TestDumpHeapProfiler()
105 tmpdir = "/tmp"; in TestDumpHeapProfiler()
106 mkdir(tmpdir, 0755); // if necessary in TestDumpHeapProfiler()
107 HeapProfilerStart((string(tmpdir) + "/dump").c_str()); in TestDumpHeapProfiler()
/external/chromium_org/third_party/tcmalloc/chromium/src/tests/
Dheap-profiler_unittest.cc84 const char* tmpdir = getenv("TMPDIR"); in TestHeapProfilerStartStopIsRunning() local
85 if (tmpdir == NULL) in TestHeapProfilerStartStopIsRunning()
86 tmpdir = "/tmp"; in TestHeapProfilerStartStopIsRunning()
87 mkdir(tmpdir, 0755); // if necessary in TestHeapProfilerStartStopIsRunning()
88 HeapProfilerStart((string(tmpdir) + "/start_stop").c_str()); in TestHeapProfilerStartStopIsRunning()
103 const char* tmpdir = getenv("TMPDIR"); in TestDumpHeapProfiler() local
104 if (tmpdir == NULL) in TestDumpHeapProfiler()
105 tmpdir = "/tmp"; in TestDumpHeapProfiler()
106 mkdir(tmpdir, 0755); // if necessary in TestDumpHeapProfiler()
107 HeapProfilerStart((string(tmpdir) + "/dump").c_str()); in TestDumpHeapProfiler()
/external/e2fsprogs/contrib/
Dbuild-rpm20 tmpdir=`mktemp -d ${RPM_TMPDIR:-$TMP}/rpmtmp.XXXXXX`
27 cp -sR `pwd`/$currdir $tmpdir/$builddir || exit 1
30 [ -f $tmpdir/$builddir/Makefile ] && make -C $tmpdir/$builddir distclean
33 (cd $tmpdir && tar czfh ${builddir}.tar.gz $EXCLUDE $builddir)
37 $RPM --define "_sourcedir $tmpdir" \
44 rm -rf $tmpdir
/external/blktrace/btt/
Dbno_plot.py92 tmpdir = tempfile.mktemp() variable
93 os.mkdir(tmpdir)
97 t = '%s/%s' % (tmpdir, f)
109 fo = open('%s/plot.cmds' % tmpdir, 'w')
117 cmd = '/usr/bin/gnuplot %s/plot.cmds -' % tmpdir
122 os.chdir(tmpdir)
127 os.system('/bin/rm -rf ' + tmpdir)
/external/bison/djgpp/
Dsubpipe.c70 char *tmpdir; in init_subpipe() local
73 tmpdir = getenv("TMPDIR"); in init_subpipe()
74 if (tmpdir == NULL) in init_subpipe()
75 tmpdir = getenv("TMP"); in init_subpipe()
76 if (tmpdir == NULL) in init_subpipe()
77 tmpdir = getenv("TEMP"); in init_subpipe()
78 if (access(tmpdir, D_OK)) in init_subpipe()
79 tmpdir = "."; in init_subpipe()
81 strcpy(tmp_file_name[0], tmpdir); in init_subpipe()
88 strcpy(tmp_file_name[1], tmpdir); in init_subpipe()
/external/chromium_org/third_party/yasm/source/patched-yasm/po/
DRules-quot18 tmpdir=`pwd`; \
23 …| sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | …
24 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
25 rm -f $$tmpdir/$$lang.new.po; \
27 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
30 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
36 rm -f $$tmpdir/$$lang.new.po; \
/external/elfutils/0.153/po/
DRules-quot18 tmpdir=`pwd`; \
23 …| sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | …
24 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
25 rm -f $$tmpdir/$$lang.new.po; \
27 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
30 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
36 rm -f $$tmpdir/$$lang.new.po; \
/external/bison/runtime-po/
DRules-quot18 tmpdir=`pwd`; \
23 …| sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | …
24 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
25 rm -f $$tmpdir/$$lang.new.po; \
27 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
30 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
36 rm -f $$tmpdir/$$lang.new.po; \
/external/e2fsprogs/po/
DRules-quot18 tmpdir=`pwd`; \
23 …| sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | …
24 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
25 rm -f $$tmpdir/$$lang.new.po; \
27 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
30 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
36 rm -f $$tmpdir/$$lang.new.po; \
/external/bison/po/
DRules-quot18 tmpdir=`pwd`; \
23 …| sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | …
24 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
25 rm -f $$tmpdir/$$lang.new.po; \
27 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
30 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
36 rm -f $$tmpdir/$$lang.new.po; \
/external/libexif/po/
DRules-quot18 tmpdir=`pwd`; \
23 …| sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | …
24 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
25 rm -f $$tmpdir/$$lang.new.po; \
27 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
30 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
36 rm -f $$tmpdir/$$lang.new.po; \
/external/antlr/antlr-3.4/runtime/Perl5/t/lib/ANTLR/Runtime/
DTest.pm58 my $tmpdir = tempdir( CLEANUP => 1 );
68 my $grammar_file = File::Spec->catfile($tmpdir, "$grammar_name.g");
72 my $test_program_file = File::Spec->catfile($tmpdir, 'test.pl');
89 …my $g_result = run_program([ File::Spec->catfile($cwd, 'tools', $antlr), '-o', $tmpdir, $grammar_f…
98 $test_result = run_program([ get_perl(), '-Mblib', "-I$tmpdir", $test_program_file ]);
/external/libusb/
Dinstall-sh335 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
339 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
346 ls_ld_tmpdir=`ls -ld "$tmpdir"`
352 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
353 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
359 rmdir "$tmpdir/d" "$tmpdir"
/external/chromium_org/tools/compile_test/
Dcompile_test.py37 tmpdir = tempfile.mkdtemp()
39 cxx_path = os.path.join(tmpdir, 'test.cc')
43 o_path = os.path.join(tmpdir, 'test.o')
59 shutil.rmtree(tmpdir)
/external/openfst/
Dinstall-sh341 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
345 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
352 ls_ld_tmpdir=`ls -ld "$tmpdir"`
358 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
359 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
365 rmdir "$tmpdir/d" "$tmpdir"
/external/libusb-compat/
Dinstall-sh341 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
345 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
352 ls_ld_tmpdir=`ls -ld "$tmpdir"`
358 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
359 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
365 rmdir "$tmpdir/d" "$tmpdir"
/external/bison/build-aux/
Dinstall-sh348 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
352 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
359 ls_ld_tmpdir=`ls -ld "$tmpdir"`
365 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
366 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
372 rmdir "$tmpdir/d" "$tmpdir"
/external/libedit/
Dinstall-sh348 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
352 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
359 ls_ld_tmpdir=`ls -ld "$tmpdir"`
365 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
366 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
372 rmdir "$tmpdir/d" "$tmpdir"
/external/chromium_org/third_party/tcmalloc/vendor/
Dinstall-sh341 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
345 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
352 ls_ld_tmpdir=`ls -ld "$tmpdir"`
358 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
359 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
365 rmdir "$tmpdir/d" "$tmpdir"
/external/protobuf/gtest/build-aux/
Dinstall-sh341 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
345 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
352 ls_ld_tmpdir=`ls -ld "$tmpdir"`
358 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
359 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
365 rmdir "$tmpdir/d" "$tmpdir"
/external/chromium_org/third_party/libxml/src/
Dinstall-sh341 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
345 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
352 ls_ld_tmpdir=`ls -ld "$tmpdir"`
358 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
359 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
365 rmdir "$tmpdir/d" "$tmpdir"
/external/libmtp/
Dinstall-sh341 tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
345 exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
352 ls_ld_tmpdir=`ls -ld "$tmpdir"`
358 $mkdirprog -m$different_mode -p -- "$tmpdir" && {
359 ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
365 rmdir "$tmpdir/d" "$tmpdir"

12345